| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iRenderStepType Struct Reference
[Renderloops & Rendersteps]

Render step type. More...

`#include <iengine/rendersteps/irsfact.h>`

Inheritance diagram for iRenderStepType:

[legend]
List of all members.

## Public Member Functions
virtual csPtr< iRenderStepFactory > | NewFactory ()=0
| Create a new instance of a render step factory.

## Detailed Description

Render step type.

Interface used to create instances of iRenderStepFactory.

Definition at line 52 of file irsfact.h.

## Member Function Documentation

virtual csPtr<iRenderStepFactory> iRenderStepType::NewFactory | ( |  | ) | `[pure virtual]`

Create a new instance of a render step factory.

The documentation for this struct was generated from the following file:

- iengine/rendersteps/irsfact.h